Subject: Re: net-next: NULL pointer dereference on adding a net namespace and a system freeze

From: Steffen Klassert <[email-masked]>
Date: Tue, 11 Mar 2014 06:30:03 +0100

On Tue, Mar 11, 2014 at 01:46:49AM +0100, Jakub Kiciński wrote:
> On Mon, 10 Mar 2014 07:04:36 -0700, Eric Dumazet wrote:
> > On Mon, 2014-03-10 at 13:19 +0100, Jakub Kiciński wrote:
> > 
> > > It helps with the flow_cache warning and BUG ("ip netns add" works) but
> > > machine still freezes after 5-10 minutes.  I will try to revert
> > > ca925cf1534ebcec332c08719a7dee6ee1782ce4 and see if that solves it.
> > 
> > I think the other issue is separate. It might be triggered by
> > conntracking change.
> 
> I bisected the other issue to be caused/uncovered by:
> 
> commit 1a1ccc96abb2ed9b8fbb71018e64b97324caef53
> Author: Steffen Klassert <[email-masked]>
> Date:   Wed Feb 19 10:07:34 2014 +0100
> 
>     xfrm: Remove caching of xfrm_policy_sk_bundles
>     
>     We currently cache socket policy bundles at xfrm_policy_sk_bundles.
>     These cached bundles are never used. Instead we create and cache
>     a new one whenever xfrm_lookup() is called on a socket policy.
>     
>     Most protocols cache the used routes to the socket, so let's
>     remove the unused caching of socket policy bundles in xfrm.
>     
>     Signed-off-by: Steffen Klassert <[email-masked]>
> 
> 
> Machine freezes after FLOW_HASH_RND_PERIOD (default 10 minutes).

Hm, I used this for more than a month before I pushed it upstream.
But this was without the flowcache namespace changes, maybe this
interferes with the flowcache namespace changes.

I'll look into it, thanks for reporting and bisecting!